Jump to content

Mis-uploaded 4.8.9 beta upgrade pack to a wrong site and recovered with the original files, but...


Go to solution Solved by sychn,

Recommended Posts

Hello,

I mis-uploaded an upgrade pack to a wrong site, and I recovered with the original files, but when I login to the ACP every time, I got this error page:

Could contain: Page, Text, File

If I continued the 'Complete Upgrade', it showed a file check error, but all the files have been recovered with the original ones:

Could contain: Page, Text

Does anyone know how to fix it?

Thanks.

Edited by sychn
Link to comment
Share on other sites

You cannot rollback to older version of IPS unless you have a backup to the database and files in order to restore them. My suggestion is reupload the beta files and continue the upgrade because it would not harm your site, and once the 4.7.9 is final upgrade your site again. Then in the future make sure you don't do the same mistake again.

Edited by Afrodude
Link to comment
Share on other sites

17 minutes ago, sychn said:

and I recovered with the original files,

As you don't indicate how you recovered, I am going to assume that you just uploaded the PHP files from the prior version.

You need to upload everything, because if you leave a specific .json file from the newer version in place on a restored older version then you get that message.

How do I know? Because I added a new version to the applications\core\data\versions.json file on an existing instalation of 4.7.9 beta 1

Could contain: Text, Number, Symbol, Chart, Plot, Document, Mathematical Equation

And here is the result:

Could contain: File, Page, Text, Webpage

Recover ALL the files, not just the PHP files.

Link to comment
Share on other sites

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...